<?xml version="1.0" encoding="UTF-8"?>
<ui version="4.0">
 <class>startFlightGearMPdialog</class>
 <widget class="QDialog" name="startFlightGearMPdialog">
  <property name="geometry">
   <rect>
    <x>0</x>
    <y>0</y>
    <width>234</width>
    <height>175</height>
   </rect>
  </property>
  <property name="windowTitle">
   <string>Connect to FlightGear MP server</string>
  </property>
  <layout class="QVBoxLayout" name="verticalLayout">
   <item>
    <layout class="QFormLayout" name="formLayout">
     <property name="fieldGrowthPolicy">
      <enum>QFormLayout::AllNonFixedFieldsGrow</enum>
     </property>
     <item row="1" column="0">
      <widget class="QLabel" name="label_4">
       <property name="text">
        <string>Callsign:</string>
       </property>
       <property name="buddy">
        <cstring>callsign_edit</cstring>
       </property>
      </widget>
     </item>
     <item row="1" column="1">
      <widget class="QLineEdit" name="callsign_edit">
       <property name="toolTip">
        <string>Typically starts with 4-letter ICAO code</string>
       </property>
       <property name="maxLength">
        <number>7</number>
       </property>
      </widget>
     </item>
     <item row="2" column="0">
      <widget class="QLabel" name="label_2">
       <property name="text">
        <string>Nickname:</string>
       </property>
       <property name="buddy">
        <cstring>nickname_edit</cstring>
       </property>
      </widget>
     </item>
     <item row="2" column="1">
      <widget class="QLineEdit" name="nickname_edit">
       <property name="toolTip">
        <string>Choose one to be recognised by fellow ATCs nearby.</string>
       </property>
      </widget>
     </item>
     <item row="3" column="0">
      <widget class="QLabel" name="label_3">
       <property name="text">
        <string>Client port:</string>
       </property>
       <property name="buddy">
        <cstring>clientPort_edit</cstring>
       </property>
      </widget>
     </item>
     <item row="3" column="1">
      <widget class="QSpinBox" name="clientPort_edit">
       <property name="sizePolicy">
        <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
         <horstretch>0</horstretch>
         <verstretch>0</verstretch>
        </sizepolicy>
       </property>
       <property name="maximum">
        <number>99999</number>
       </property>
      </widget>
     </item>
     <item row="0" column="0">
      <widget class="QLabel" name="label">
       <property name="text">
        <string>Connect to:</string>
       </property>
      </widget>
     </item>
     <item row="0" column="1">
      <widget class="QLabel" name="FGMSserver_info">
       <property name="text">
        <string>###</string>
       </property>
      </widget>
     </item>
    </layout>
   </item>
   <item>
    <layout class="QHBoxLayout" name="horizontalLayout">
     <item>
      <widget class="QPushButton" name="cancel_button">
       <property name="text">
        <string>Cancel</string>
       </property>
      </widget>
     </item>
     <item>
      <widget class="QPushButton" name="OK_button">
       <property name="text">
        <string>OK</string>
       </property>
       <property name="default">
        <bool>true</bool>
       </property>
      </widget>
     </item>
    </layout>
   </item>
  </layout>
 </widget>
 <tabstops>
  <tabstop>callsign_edit</tabstop>
  <tabstop>nickname_edit</tabstop>
  <tabstop>clientPort_edit</tabstop>
  <tabstop>OK_button</tabstop>
  <tabstop>cancel_button</tabstop>
 </tabstops>
 <resources/>
 <connections>
  <connection>
   <sender>cancel_button</sender>
   <signal>clicked()</signal>
   <receiver>startFlightGearMPdialog</receiver>
   <slot>reject()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>113</x>
     <y>181</y>
    </hint>
    <hint type="destinationlabel">
     <x>38</x>
     <y>116</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>OK_button</sender>
   <signal>clicked()</signal>
   <receiver>startFlightGearMPdialog</receiver>
   <slot>accept()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>223</x>
     <y>181</y>
    </hint>
    <hint type="destinationlabel">
     <x>245</x>
     <y>121</y>
    </hint>
   </hints>
  </connection>
 </connections>
</ui>
